import pygame
import os
import random
from flow import settings

_sound_library = {}


def _get_sound(path):
    if path not in _sound_library:
        _sound_library[path] = pygame.mixer.Sound(path)
    return _sound_library[path]


def play_horn():
    horns = ['horn1.wav', 'horn2.wav', 'horn3.wav']
    horn = random.choice(horns)
    path = os.path.join(settings.SOUNDS_DIR, horn)
    channel = pygame.mixer.find_channel()
    if channel:
        channel.set_volume(.05)
        channel.play(_get_sound(path))


def play_collision():
    path = os.path.join(settings.SOUNDS_DIR, 'collision.wav')
    channel = pygame.mixer.find_channel()
    if channel:
        channel.play(_get_sound(path))


def play_background_music():
    path = os.path.join(settings.MUSIC_DIR, 'background.ogg')
    pygame.mixer.find_channel().play(_get_sound(path))
    pygame.mixer.Channel(0).set_volume(.6)
    pygame.mixer.Channel(0).play(_get_sound(path))
